明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 149|回复: 1

c#调用COM进行二次开发时,GET系列方法错误怎么处理

[复制链接]
发表于 2018-4-21 20:09 | 显示全部楼层 |阅读模式
本帖最后由 mrhvslisp 于 2018-4-21 20:44 编辑

c#调用COM进行二次开发,  AcadApplication app = Application.AcadApplication as AcadApplication;
  AcadDocument doc = app.ActiveDocument;
  AcadUtility utility = doc.Utility;

  double[] p1 = utility.GetPoint(p0, "\n选择经纬度标注位置:\n") as double[];//定位点               
  此时CAD暂停等待用户选点,若用户按下ESC或者鼠标右键点击............
  CAD会出现致命错误,直接崩溃挂掉...........
  包在Try{}里面也一样崩掉........
  各位大神有处理办法吗?
  因为单位用CAD版本都很老,迫不得已用COM.....

发表于 2018-4-22 18:06 | 显示全部楼层
double[] p1 = utility.GetPoint
是不是应该改为:object p=utility.GetPoint……然后想办法转换为数组
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-8-17 01:56 , Processed in 0.314090 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表